<?php
/**
 * @version		2.0.14 alpharegistration $
 * @package		alpharegistration
 * @copyright	Copyright  2009-2011 - Bernard Gilly - All rights reserved.
 * @license		GNU/GPL
 * @author		Bernard Gilly
 * @author mail	contact@alphaplug.com
 * @website		www.alphaplug.com
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.model' );

class alpharegistrationModelConfiguration extends Jmodel {

	function getParams()
	{
		$table =& JTable::getInstance('component');
		$table->loadByOption( 'com_alpharegistration' );

		$params = array();

		$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alpharegistration'.DS.'config.xml';
		$params['general'] = new JParameter( $table->params, $path );
		
		$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alpharegistration'.DS.'config_steps.xml';
		$params['steps'] = new JParameter( $table->params, $path );		
		
		$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alpharegistration'.DS.'config_recaptcha.xml';
		$params['recaptcha'] = new JParameter( $table->params, $path );		
		
		$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alpharegistration'.DS.'config_alphauserpoints.xml';
		$params['alphauserpoints'] = new JParameter( $table->params, $path );		
		
		$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alpharegistration'.DS.'config_security.xml';
		$params['security'] = new JParameter( $table->params, $path );		
		
		return $params;
	}	

}
?>